## python-dom-toml 0.6.1

=== requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.5.0
extras-require>=0.2.0
furo>=2020.11.19b18
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.0.0a2
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== debian/changelog ===
python-dom-toml (0.6.1-4) unstable; urgency=medium

  * debian/control:
     - Added dependencies for running tests
     - Added 'Testsuite: autopkgtest-pkg-pybuild'
  * debian/patches: Skipped function with error
  * debian/rules: Enabled tests execution

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 20:57:23 -0300

python-dom-toml (0.6.1-3) unstable; urgency=medium

  * Source-only load for test migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 20:35:45 -0300

python-dom-toml (0.6.1-2) unstable; urgency=medium

  * debian/copyright: add name and email Upstream-Contact

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 24 Jul 2023 06:17:50 -0300

python-dom-toml (0.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1026975)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 06 Jul 2023 18:35:41 -0300

=== debian/control ===
Source: python-dom-toml
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coincidence,
               python3-coverage,
               python3-domdf-python-tools,
               python3-importlib-metadata,
               python3-numpy,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-datadir,
               python3-pytest-regressions,
               python3-pytest-timeout,
               python3-setuptools,
               python3-toml
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/dom_toml
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dom-toml
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dom-toml.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-dom-toml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Dom's tools for Tom's obvious, minimal language
 dom_toml is a high-level parser and interface for working with TOML files
 in Python. It aims to provide a simple and intuitive way to read, write and
 manipulate TOML files.
 .
 Parsing TOML files: dom_toml can parse TOML files, converting them into a
 Python data structure such as dictionaries, lists, and other data types.
 .
 Accessing and manipulating TOML data: With dom_toml, it is possible to access
 the different elements of a TOML file, such as keys, values ​​and tables. You
 can read, modify and add data to the TOML file using the API provided by
 dom_toml.
 .
 Writing TOML files: In addition to parsing TOML files, dom_toml also lets you
 write data to a TOML file from a Python data structure. This is useful when you
 want to save or update settings in a TOML file.
 .
 Advanced manipulation: dom_toml can offer additional features such as syntax
 validation, error handling and other functionality to facilitate manipulation
 of TOML files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@ --with python3  --buildsystem=pybuild
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest  -v
endif

=== debian/watch ===
version=4
https://github.com/domdfcoding/dom_toml/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-dom-toml 2.0.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.6.0
extras-require>=0.5.0
furo==2021.06.18b36
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
numpy>=1.19.3; python_version < "3.13"
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-dom-toml (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * debian/control: Added new  "build depends" python3-tomli
  * debian/watch: Added "opts=uversionmangle" for launch screening

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 25 Apr 2024 22:42:14 -0300

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
                python3-pytest-regressions,
                python3-pytest-timeout,
                python3-setuptools,
-               python3-toml
+               python3-toml,
+               python3-tomli
 Standards-Version: 4.6.2
 Homepage: https://github.com/domdfcoding/dom_toml
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dom-toml

## python-dom-toml 2.0.1

=== requirements.txt ===
domdf-python-tools>=2.8.0
tomli>=1.2.3

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -9,10 +9,14 @@
 sphinx-debuginfo>=0.2.2
 sphinx-licenseinfo>=0.3.1
 sphinx-notfound-page>=0.7.1
-sphinx-prompt>=1.1.0
 sphinx-pyproject>=0.1.0
-sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
+sphinxcontrib-applehelp==1.0.4
+sphinxcontrib-devhelp==1.0.2
+sphinxcontrib-htmlhelp==2.0.1
 sphinxcontrib-httpdomain>=1.7.0
+sphinxcontrib-jsmath==1.0.1
+sphinxcontrib-qthelp==1.0.3
+sphinxcontrib-serializinghtml==1.1.5
 sphinxemoji>=0.1.6
 toctree-plus>=0.6.1

=== debian/changelog ===
python-dom-toml (2.0.1-3) unstable; urgency=medium

  * Team Upload
  * Patch-out dependencies on standalone python3-toml & python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 00:21:32 +0200

python-dom-toml (2.0.1-2) unstable; urgency=medium

  * Team Upload
  * Remove extraneous python3-importlib-metadata build dep

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 14:52:58 +0200

python-dom-toml (2.0.1-1) unstable; urgency=medium

  [ Geovanna Maciel ]
  * Team upload.
  * New upstream version 2.0.1

  [ Sergio Durigan Junior ]
  * d/gbp.conf: Add file.

 -- Geovanna Maciel <geoojv@gmail.com>  Wed, 12 Feb 2025 17:13:10 -0300

python-dom-toml (2.0.0-2) unstable; urgency=medium

  * debian/control: Bumped Standards-Version to 4.7.0
  * Added debian/patches:
     002.Fix-comparison-nested-inline-tables-TOML.patch (Closes: #1094039)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Feb 2025 16:15:56 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                python3-coincidence,
                python3-coverage,
                python3-domdf-python-tools,
-               python3-importlib-metadata,
                python3-numpy,
                python3-pytest,
                python3-pytest-cov,
@@ -20,9 +19,7 @@
                python3-pytest-regressions,
                python3-pytest-timeout,
                python3-setuptools,
-               python3-toml,
-               python3-tomli
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/domdfcoding/dom_toml
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dom-toml
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dom-toml.git

## python-dom-toml 2.1.0

=== requirements.txt ===
domdf-python-tools>=2.8.0
tomli>=1.2.3; python_version < "3.11"

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
numpy>=1.19.3; python_version < "3.14"
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-dom-toml (2.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.1.0
  * Drop patch applied upstream
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Aug 2025 11:42:40 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-pytest-regressions,
                python3-pytest-timeout,
                python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/domdfcoding/dom_toml
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dom-toml
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dom-toml.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@ --buildsystem=pybuild
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest  -v
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/domdfcoding/dom_toml/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
